### Function

# Template Expr new_stmt_list

since: 3.36

#### Declaration

    TmplExpr*
    tmpl_expr_new_stmt_list (
      GPtrArray* stmts
    )

#### Description

Creates a new statement list for which the last item will be used as the “return value” from execution.

Available since: 3.36

#### Parameters

`stmts`

  Type: An array of `TmplExpr*`

  A `GPtrArray` of `TmplExpr` which will be evaluated in sequence.

  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `TmplExpr`

A new `TmplExpr`.

The caller of the function takes ownership of the data, and is responsible for freeing it.